complexType "CorrelationLeg"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 15 elements
Defined: | globally in fpml-correlation-swaps-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | legIdentifier*, payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, effectiveDate?, terminationDate?, underlyer?, settlementType?, settlementDate?, (settlementAmount | settlementCurrency)?, fxFeature?, valuation?, amount?
</...>

Content Model Elements (15):

  amount (in correlationLeg),
  effectiveDate (defined in DirectionalLeg complexType),
  fxFeature (defined in DirectionalLegUnderlyer complexType),
  legIdentifier,
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group),
  settlementAmount (defined in SettlementAmountOrCurrency.model group),
  settlementCurrency (defined in SettlementAmountOrCurrency.model group),
  settlementDate (defined in OptionSettlement.model group),
  settlementType (defined in OptionSettlement.model group),
  terminationDate (defined in DirectionalLeg complexType),
  underlyer (defined in DirectionalLegUnderlyer complexType),
  valuation (defined in DirectionalLegUnderlyerValuation complexType)

All Direct / Indirect Based Elements (1):

  correlationLeg

Known Usage Locations

- As direct type of elements (1):
  correlationLeg

Annotation
A type describing return which is driven by a Correlation calculation.
Type Definition Detail

Type Derivation Tree Leg (extension) DirectionalLeg (extension) DirectionalLegUnderlyer (extension) DirectionalLegUnderlyerValuation (extension) CorrelationLeg

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CorrelationLeg"> <xsd:complexContent> <xsd:extension base="DirectionalLegUnderlyerValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="amount" type="CorrelationAmount"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/15)
amount

  Type: | CorrelationAmount, complex content

  Specifies, in relation to each Equity Payment Date, the Equity Amount to which the Equity Payment Date relates. Unless otherwise specified, this term has the meaning defined in the ISDA 2002 Equity Derivatives Definitions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="amount" type="CorrelationAmount"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.